=== Modules/Adapters/GdalAdapters/src/CMakeLists.txt ===
#
# Copyright (C) 2005-2017 Centre National d'Etudes Spatiales (CNES)
#
# This file is part of Orfeo Toolbox
#
#     https://www.orfeo-toolbox.org/
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

set(OTBGdalAdapters_SRC
  otbOGRFieldWrapper.cxx
  otbGeometriesSet.cxx
  otbOGRFeatureWrapper.cxx
  otbOGRLayerWrapper.cxx
  otbOGRGeometryWrapper.cxx
  otbGeometriesSource.cxx
  otbOGRDriversInit.cxx
  otbGeometriesToGeometriesFilter.cxx
  otbOGRDataSourceWrapper.cxx
  )

if(OTB_USE_GDAL_20)
  set(OTBGdalAdapters_SRC ${OTBGdalAdapters_SRC} otbOGRVersionProxy2x.cxx)
else(Otb_use_gdal_20)
  set(OTBGdalAdapters_SRC ${OTBGdalAdapters_SRC} otbOGRVersionProxy1x.cxx)
endif(OTB_USE_GDAL_20)

add_library(OTBGdalAdapters ${OTBGdalAdapters_SRC})
target_link_libraries(OTBGdalAdapters 
  ${OTBBoost_LIBRARIES}
  ${OTBCommon_LIBRARIES}
  ${OTBGDAL_LIBRARIES}

  )

otb_module_target(OTBGdalAdapters)
