=== Modules/Applications/AppClassification/test/CMakeLists.txt ===
#
# Copyright (C) 2005-2017 Centre National d'Etudes Spatiales (CNES)
#
# This file is part of Orfeo Toolbox
#
#     https://www.orfeo-toolbox.org/
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

otb_module_test()
#----------- ComputeOGRLayersFeaturesStatistics TESTS ----------------
otb_test_application(NAME apTvClComputeOGRLayersFeaturesStatistics
  APP  ComputeOGRLayersFeaturesStatistics
  OPTIONS -inshp ${INPUTDATA}/Classification/apTvClLabeledVector.shp
  -feat meanB0 meanB1 meanB2 meanB3 varB0 varB1 varB2 varB3
  -outstats ${TEMP}/apTvClComputeOGRLayersFeaturesStatistics.xml
  VALID   --compare-ascii ${NOTOL}
  ${OTBAPP_BASELINE_FILES}/apTvClComputeOGRLayersFeaturesStatistics.xml
  ${TEMP}/apTvClComputeOGRLayersFeaturesStatistics.xml)

#----------- SOMClassification TESTS ----------------
otb_test_application(NAME apTvClSOMClassificationSmall
  APP  SOMClassification
  OPTIONS -in ${INPUTDATA}/poupees_sub.png
  -rand 121212
  -out ${TEMP}/apTvClSOMClassificationSmall.tif uint16
  VALID   --compare-image ${NOTOL}
  ${BASELINE}/apTvClSOMClassificationSmall.tif
  ${TEMP}/apTvClSOMClassificationSmall.tif)

otb_test_application(NAME apTvClSOMClassificationFull
  APP  SOMClassification
  OPTIONS -in  ${INPUTDATA}/poupees_sub.png
  -out ${TEMP}/apTvClSOMClassificationFull.tif uint16
  -vm  ${INPUTDATA}/poupees_sub_c1.png
  -tp  0.8
  -ts  13000
  -som ${TEMP}/apTvClSOMClassificationMap.hdr
  -sx  30
  -sy  30
  -nx  9
  -ny  9
  -ni  5
  -bi  1.0
  -bf  0.1
  -iv  0
  -rand 121212
  VALID   --compare-n-images ${NOTOL} 2
  ${BASELINE}/apTvClSOMClassificationFull.tif
  ${TEMP}/apTvClSOMClassificationFull.tif
  ${BASELINE}/apTvClSOMClassificationMap.hdr
  ${TEMP}/apTvClSOMClassificationMap.hdr)


#----------- ImageClassifier TESTS ----------------

# Input file types
set(raster_input_format ".tif")
set(vector_input_format ".shp")
set(stat_input_format ".xml")

# Input file depending on classifier
set(libsvm_input "")
set(svm_input "")
set(boost_input "Water_Vegetation")
set(dt_input "")
set(gbt_input "")
set(ann_input "")
set(bayes_input "")
set(rf_input "")
set(knn_input "")

# Output type
set(raster_output_format ".tif")
set(raster_output_option "uint8")

# Output model type depending on classifier
set(libsvm_output_format ".libsvm")
set(svm_output_format ".svm")
set(boost_output_format ".boost")
set(dt_output_format ".dt")
set(gbt_output_format ".gbt")
set(ann_output_format ".ann")
set(bayes_output_format ".bayes")
set(rf_output_format ".rf")
set(knn_output_format ".knn")
set(sharkrf_output_format ".txt")
set(sharkkm_output_format ".txt")

# Training algorithms parameters
set(libsvm_parameters "-classifier.libsvm.opt" "true" "-classifier.libsvm.prob" "true")
#set(svm_parameters "-classifier.svm.opt" "true")
set(boost_parameters "")
set(dt_parameters "")
set(gbt_parameters "")
set(ann_parameters "-classifier.ann.sizes" "100")
set(bayes_parameters "")
set(rf_parameters "")
set(knn_parameters "")
set(sharkrf_parameters "")
set(sharkkm_parameters "")

# Validation depending on mode
set(ascii_comparison --compare-ascii ${EPSILON_6})
set(raster_comparison --compare-image ${NOTOL})
set(raster_comparison_two --compare-n-images ${NOTOL} 2)

# Reference ffiles depending on modes
set(ascii_ref_path ${OTBAPP_BASELINE_FILES})
set(raster_ref_path ${OTBAPP_BASELINE})

set(classifierList)
#if(OTB_USE_LIBSVM)
#list(APPEND classifierList "LIBSVM")
#endif()
if(OTB_USE_OPENCV)
  #list(APPEND classifierList "SVM" "BOOST" "DT" "GBT" "ANN" "BAYES" "RF" "KNN")
  list(APPEND classifierList "BOOST" "DT" "ANN" "BAYES" "RF" "KNN")
  if(NOT OTB_OPENCV_3)
    list(APPEND classifierList "GBT")
  endif()
endif()
if(OTB_USE_SHARK)
  list(APPEND classifierList "SHARKRF" "SHARKKM")
endif()

set(classifier_with_confmap "LIBSVM" "BOOST" "KNN" "ANN" "RF")

# This is a black list for classifier that can not have a baseline
# because they are using randomness and seed can not be set
set(classifier_without_baseline "SHARKRF" "SHARKKM")

# Loop on classifiers
foreach(classifier ${classifierList})
  string(TOLOWER ${classifier} lclassifier)

  # Derive output file name
  set(OUTMODELFILE cl${classifier}_ModelQB1${${lclassifier}_output_format})
  set(OUTRASTER cl${classifier}LabeledImageQB1${raster_output_format})
  set(OUTCONFMAP cl${classifier}ConfidenceMapQB1${raster_output_format})

  list(FIND classifier_without_baseline ${classifier} _classifier_has_baseline)
  if(${_classifier_has_baseline} EQUAL -1)
    set(valid ${ascii_comparison} ${ascii_ref_path}/${OUTMODELFILE} ${TEMP}/${OUTMODELFILE})
  else()
    set(valid "")
  endif()

  otb_test_application(
    NAME     apTvClTrainMethod${classifier}ImagesClassifierQB1
    APP      TrainImagesClassifier
    OPTIONS  -io.il ${INPUTDATA}/Classification/QB_1_ortho${raster_input_format}
    -io.vd ${INPUTDATA}/Classification/VectorData_${${lclassifier}_input}QB1${vector_input_format}
    -io.imstat ${INPUTDATA}/Classification/clImageStatisticsQB1${stat_input_format}
    -classifier ${lclassifier}
    ${${lclassifier}_parameters}
    -io.out ${TEMP}/${OUTMODELFILE}
    -sample.vfn Class
    -rand 121212

    VALID    ${valid}
  )

  if(${_classifier_has_baseline} EQUAL -1)
    set(valid ${ascii_comparison} ${ascii_ref_path}/${OUTMODELFILE} ${TEMP}/OutXML1_${OUTMODELFILE})
  else()
    set(valid "")
  endif()

  otb_test_application(
    NAME     apTvClTrainMethod${classifier}ImagesClassifierQB1_OutXML1
    APP      TrainImagesClassifier
    OPTIONS  -io.il ${INPUTDATA}/Classification/QB_1_ortho${raster_input_format}
    -io.vd ${INPUTDATA}/Classification/VectorData_${${lclassifier}_input}QB1${vector_input_format}
    -io.imstat ${INPUTDATA}/Classification/clImageStatisticsQB1${stat_input_format}
    -classifier ${lclassifier}
    ${${lclassifier}_parameters}
    -io.out ${TEMP}/OutXML1_${OUTMODELFILE}
    -rand 121212
    -sample.vfn Class
    -outxml ${TEMP}/cl${classifier}_OutXML1.xml

    VALID ${valid}
  )

  if(${_classifier_has_baseline} EQUAL -1)
    set(valid ${ascii_comparison} ${ascii_ref_path}/${OUTMODELFILE} ${TEMP}/OutXML2_${OUTMODELFILE})
  else()
    set(valid "")
  endif()

  otb_test_application(
    NAME     apTvClTrainMethod${classifier}ImagesClassifierQB1_InXML1
    APP      TrainImagesClassifier
    OPTIONS  -inxml ${INPUTDATA}/cl${classifier}_OutXML1.xml
    -io.il ${INPUTDATA}/Classification/QB_1_ortho${raster_input_format}
    -io.vd ${INPUTDATA}/Classification/VectorData_${${lclassifier}_input}QB1${vector_input_format}
    -io.imstat ${INPUTDATA}/Classification/clImageStatisticsQB1${stat_input_format}
    -io.out ${TEMP}/OutXML2_${OUTMODELFILE}
    -sample.vfn Class
    VALID    ${valid}
  )

  #set_tests_properties(apTvClTrainMethod${classifier}ImagesClassifierQB1_InXML1 PROPERTIES DEPENDS apTvClTrainMethod${classifier}ImagesClassifierQB1_OutXML1)

  list(FIND classifier_with_confmap ${classifier} _classifier_has_confmap)
  if(${_classifier_has_confmap} EQUAL -1)
    otb_test_application(
      NAME     apTvClMethod${classifier}ImageClassifierQB1
      APP      ImageClassifier
      OPTIONS  -in ${INPUTDATA}/Classification/QB_1_ortho${raster_input_format}
      -model ${INPUTDATA}/Classification/${OUTMODELFILE}
      -imstat ${INPUTDATA}/Classification/clImageStatisticsQB1${stat_input_format}
      -out ${TEMP}/${OUTRASTER} ${raster_output_option}

      VALID    ${raster_comparison}
      ${raster_ref_path}/${OUTRASTER}
      ${TEMP}/${OUTRASTER}
    )
  else()
    otb_test_application(
      NAME     apTvClMethod${classifier}ImageClassifierQB1
      APP      ImageClassifier
      OPTIONS  -in ${INPUTDATA}/Classification/QB_1_ortho${raster_input_format}
      -model ${INPUTDATA}/Classification/${OUTMODELFILE}
      -imstat ${INPUTDATA}/Classification/clImageStatisticsQB1${stat_input_format}
      -out ${TEMP}/${OUTRASTER} ${raster_output_option}
      -confmap ${TEMP}/${OUTCONFMAP}

      VALID    ${raster_comparison_two}
      ${raster_ref_path}/${OUTRASTER}
      ${TEMP}/${OUTRASTER}
      ${raster_ref_path}/${OUTCONFMAP}
      ${TEMP}/${OUTCONFMAP}
    )
  endif()

endforeach()

#----------- LIBSVM Classifier TESTS ----------------

if(OTB_USE_LIBSVM)
  otb_test_application(NAME apTvClImageSVMClassifierQB2
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_2_ortho.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB1.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB1.svm
    -out     ${TEMP}/clLabeledImageQB2.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB2.tif
    ${TEMP}/clLabeledImageQB2.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB3
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_3_ortho.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB1.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB1.svm
    -out     ${TEMP}/clLabeledImageQB3.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB3.tif
    ${TEMP}/clLabeledImageQB3.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB1
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_1_ortho.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB1.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB1.svm
    -out     ${TEMP}/clLabeledImageQB1.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB1.tif
    ${TEMP}/clLabeledImageQB1.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB456_6
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_6_extract.tif
    -mask    ${INPUTDATA}/Classification/QB_6_mask.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB456.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB456.svm
    -out     ${TEMP}/clLabeledImageQB456_6.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB456_6.tif
    ${TEMP}/clLabeledImageQB456_6.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB456_4
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_4_extract.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB456.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB456.svm
    -out     ${TEMP}/clLabeledImageQB456_4.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB456_4.tif
    ${TEMP}/clLabeledImageQB456_4.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB456_5
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_5_extract.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB456.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB456.svm
    -out     ${TEMP}/clLabeledImageQB456_5.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB456_5.tif
    ${TEMP}/clLabeledImageQB456_5.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB123_6
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_6_extract.tif
    -imstat  ${INPUTDATA}/Classification/clImageStatisticsQB123.xml
    -model   ${INPUTDATA}/Classification/clsvmModelQB123.svm
    -out     ${TEMP}/clLabeledImageQB123_6.tif
    VALID   --compare-image ${NOTOL}
    ${OTBAPP_BASELINE}/clLabeledImageQB123_6.tif
    ${TEMP}/clLabeledImageQB123_6.tif)

  otb_test_application(NAME apTvClImageSVMClassifierQB456_1
    APP  ImageClassifier
    OPTIONS -in      ${INPUTDATA}/Classification/QB_1_ortho.tif
