=== debian/changelog ===
otb (6.0.0+dfsg-4build1) artful; urgency=medium

  * No-change rebuild against libinsighttoolkit4.12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Aug 2017 06:24:50 +0000

otb (6.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Explicitly build with GCC 6, libshark FTBFS with GCC 7.
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Aug 2017 20:35:58 +0200

otb (6.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with CMake 3.9.0.
    (closes: #869888)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2017 14:04:03 +0200

otb (6.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Replace opencv-i386.patch with upstream patch.
    (closes: #865414)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2017 18:59:08 +0200

otb (6.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.0.0, no changes.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Drop unused lintian override for spelling-error-in-binary.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 21:11:44 +0200

otb (6.0.0+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Add patch to fix detection of OpenCV on i386 architecture.
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Jun 2017 15:13:13 +0200

otb (6.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-enable OpenCV support, 3.1 should be supported now.
  * Enable shark support.
  * Enable SVM support.
  * Update copyright file, changes:
    - Project changed license from CeCILL-2.0 to Apache-2.0
    - Update license & copyright for OSSIM plugins
  * Add additional Boost (build) dependencies.
  * Drop libotbiomw package, library no longer built.
  * Update symbols for amd64.
  * Update lintian overrides for spelling error false positives.
  * Add manpages for new executables.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 May 2017 14:12:46 +0200

otb (5.10.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Mar 2017 18:21:56 +0100

otb (5.10.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, applied upstream.
  * Update symbols for amd64.
  * Drop obsolete OTB_USE_OPENJPEG CMake option.
  * Add manpage for otb{cli,gui}_DomainTransform.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Feb 2017 20:06:13 +0100

otb (5.8.0+dfsg-4~exp1) experimental; urgency=medium

  * Team upload.
  * Add patch to set OTB_APPLICATION_PATH environment variable for
    monteverdi executable.
  * Add lintian override for desktop-command-not-in-package.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Feb 2017 21:20:02 +0100
