=== debian/control ===
Source: otb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Paolo Cavallini <cavallini@faunalia.it>,
           Rashad Kanavath <rashad.kanavath@c-s.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-python,
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.8.3),
               gcc-6,
               g++-6,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-graph-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libexpat1-dev,
               libfftw3-dev,
               libgdal-dev (>= 1.10.0),
               libgeotiff-dev,
               libgl1-mesa-dev | libgl-dev,
               libglew-dev,
               libglfw3-dev,
               libinsighttoolkit4-dev,
               libkml-dev,
               libmuparser-dev,
               libopencv-dev,
               libopenthreads-dev,
               libossim-dev,
               libpng-dev,
               libproj-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqwt5-qt4-dev,
               libshark-dev,
               libsvm-dev,
               libtinyxml-dev,
               libtool,
               pkg-kde-tools,
               python-dev,
               python-numpy,
               swig
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/otb.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/otb.git
Homepage: http://www.orfeo-toolbox.org/

Package: libotb-dev
Architecture: any
Section: libdevel
Depends: cmake (>= 2.8.3),
         libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-graph-dev,
         libboost-program-options-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libgdal-dev (>= 1.10.0),
         libgeotiff-dev,
         libgl1-mesa-dev | libgl-dev,
         libglew-dev,
         libglfw3-dev,
         libinsighttoolkit4-dev,
         libkml-dev,
         libmuparser-dev,
         libopencv-dev,
         libopenthreads-dev,
         libossim-dev,
         libotbapplicationengine-6.0-1 (= ${binary:Version}),
         libotbcarto-6.0-1 (= ${binary:Version}),
         libotbcommandline-6.0-1 (= ${binary:Version}),
         libotbcommandlineparser-6.0-1 (= ${binary:Version}),
         libotbcommon-6.0-1 (= ${binary:Version}),
         libotbcurladapters-6.0-1 (= ${binary:Version}),
         libotbedge-6.0-1 (= ${binary:Version}),
         libotbextendedfilename-6.0-1 (= ${binary:Version}),
         libotbfuzzy-6.0-1 (= ${binary:Version}),
         libotbgdaladapters-6.0-1 (= ${binary:Version}),
         libotbice-6.0-1 (= ${binary:Version}),
         libotbimagebase-6.0-1 (= ${binary:Version}),
         libotbimageio-6.0-1 (= ${binary:Version}),
         libotbimagemanipulation-6.0-1 (= ${binary:Version}),
         libotbiobsq-6.0-1 (= ${binary:Version}),
         libotbiogdal-6.0-1 (= ${binary:Version}),
         libotbiokml-6.0-1 (= ${binary:Version}),
         libotbiolum-6.0-1 (= ${binary:Version}),
         libotbiomstar-6.0-1 (= ${binary:Version}),
         libotbioonera-6.0-1 (= ${binary:Version}),
         libotbiorad-6.0-1 (= ${binary:Version}),
         libotbiotilemap-6.0-1 (= ${binary:Version}),
         libotbmathparser-6.0-1 (= ${binary:Version}),
         libotbmetadata-6.0-1 (= ${binary:Version}),
         libotbmonteverdicore-6.0-1 (= ${binary:Version}),
         libotbmonteverdigui-6.0-1 (= ${binary:Version}),
         libotbopenthreadsadapters-6.0-1 (= ${binary:Version}),
         libotbossimadapters-6.0-1 (= ${binary:Version}),
         libotbossimplugins-6.0-1 (= ${binary:Version}),
         libotbpolarimetry-6.0-1 (= ${binary:Version}),
         libotbprojection-6.0-1 (= ${binary:Version}),
         libotbqtadapters-6.0-1 (= ${binary:Version}),
         libotbqtwidget-6.0-1 (= ${binary:Version}),
         libotbrcc8-6.0-1 (= ${binary:Version}),
         libotbsampling-6.0-1 (= ${binary:Version}),
         libotbsiftfast-6.0-1 (= ${binary:Version}),
         libotbstatistics-6.0-1 (= ${binary:Version}),
         libotbstreaming-6.0-1 (= ${binary:Version}),
         libotbsupervised-6.0-1 (= ${binary:Version}),
         libotbtestkernel-6.0-1 (= ${binary:Version}),
         libotbtransform-6.0-1 (= ${binary:Version}),
         libotbvectordatabase-6.0-1 (= ${binary:Version}),
         libotbvectordataio-6.0-1 (= ${binary:Version}),
         libotbwavelet-6.0-1 (= ${binary:Version}),
         libqwt5-qt4-dev,
         libshark-dev,
         libsvm-dev,
         monteverdi (= ${binary:Version}),
         otb-testdriver (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libotb3-dev,
           libotb4-dev
Description: Free library of image processing algorithms - development
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the development files needed to build your own OTB
 applications and modules.

Package: otb-testdriver
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ORFEO Toolbox library - OTBTestDriver
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBTestDriver application.

Package: libotbice-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIce
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIce shared library.

Package: libotbiolum-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOLUM
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOLUM shared library.

Package: libotbiomstar-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOMSTAR
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOMSTAR shared library.

Package: libotbioonera-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOONERA
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOONERA shared library.

Package: libotbiorad-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIORAD
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIORAD shared library.

Package: libotbiotilemap-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOTileMap
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOTileMap shared library.

Package: libotbiogdal-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOGDAL
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOGDAL shared library.

Package: libotbiobsq-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOBSQ
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOBSQ shared library.

Package: libotbiokml-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBIOKML
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBIOKML shared library.

Package: libotbcurladapters-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBCurlAdapters
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
 This package contains the OTBCurlAdapters shared library.

Package: libotbopenthreadsadapters-6.0-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ORFEO Toolbox library - OTBOpenThreadsAdapters
 ORFEO Toolbox (OTB) is distributed as an open source library of image
 processing algorithms. OTB is based on the medical image processing library
 ITK and offers particular functionalities for remote sensing image processing
 in general and for high spatial resolution images in particular.
 .
